--- old/usr/src/Makefile	Thu Jul 11 01:28:48 2013
+++ new/usr/src/Makefile	Thu Jul 11 01:28:48 2013
@@ -77,8 +77,8 @@
 MSGDDIRS=       $(DOMAINS:%=$(MSGROOT)/%)
 MSGDIRS=        $(MSGROOT) $(MSGDDIRS) $(MSGROOT)/LC_TIME
 
-all all_xmod :=		TARGET= all
-install install_xmod :=	TARGET= install
+all :=			TARGET= all
+install :=		TARGET= install
 install1 :=		TARGET= install
 install2 :=		TARGET= install
 install_h :=		TARGET= install_h
@@ -202,19 +202,6 @@
 	@cd cmd/fm; pwd; $(MAKE) install_h
 	@cd cmd/mdb; pwd; $(MAKE) install_h
 
-# each xmod target depends on a corresponding MACH-specific pseudotarget
-# before doing common xmod work
-#
-all_xmod install_xmod: $$@_$(MACH)
-	@cd uts/common/sys; pwd; $(MAKE) svvs_h
-
-all_xmod_sparc install_xmod_sparc: FRC
-	@cd uts/sparc; pwd; \
-	  $(MAKE) TARGET=$(TARGET) svvs pm wsdrv
-
-all_xmod_i386 install_xmod_i386: FRC
-	@cd uts/i86; pwd; $(MAKE) TARGET=$(TARGET) svvs
-
 check:	$(CHKHDRSUBDIRS) $(CHKMFSTSUBDIRS)
 
 #
@@ -222,7 +209,7 @@
 # don't contain actual source code.
 #
 $(CLOSED_BUILD)XRDIRS += ../closed
-XRPRUNE = pkg prototypes xmod
+XRPRUNE = pkg prototypes
 XRINCDIRS = uts/common head ucbhead
 $(CLOSED_BUILD)XRINCDIRS = uts/common ../closed/uts/common head ucbhead
 
@@ -231,110 +218,6 @@
 
 FRC:
 
-# EXPORT DELETE START
-
-XMOD_DELETE_FILES:sh = cat xmod/xmod_files
-
-EXPORT_SRC:
-	@cd $(CLOSED)/cmd/cmd-inet/usr.lib/in.iked;  pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/cmd/cmd-inet/usr.lib/ike-certutils;  pwd; \
-	    $(MAKE) EXPORT_SRC
-	@cd cmd/cmd-inet/usr.sbin; pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/cmd/cmd-crypto/etc; pwd; $(MAKE) EXPORT_SRC
-	@cd cmd/crypt;	  pwd; $(MAKE) EXPORT_SRC
-	@cd cmd/gss/gssd;         pwd; $(MAKE) EXPORT_SRC
-	@cd cmd/krb5/kadmin;  pwd; $(MAKE) EXPORT_SRC
-	@cd cmd/sendmail/src; pwd; $(MAKE) EXPORT_SRC
-	@cd common/crypto/aes;	  pwd; $(MAKE) EXPORT_SRC
-	@cd common/crypto/arcfour; pwd; $(MAKE) EXPORT_SRC
-	@cd common/crypto/blowfish;	  pwd; $(MAKE) EXPORT_SRC
-	@cd common/crypto/des;	  pwd; $(MAKE) EXPORT_SRC
-	@cd common/crypto/rsa;	  pwd; $(MAKE) EXPORT_SRC
-	@cd lib/crypt_modules/bsdbf; pwd ; $(MAKE) EXPORT_SRC
-	@cd lib/gss_mechs/mech_dummy;   pwd; $(MAKE) EXPORT_SRC
-	@cd lib/gss_mechs/mech_dh/backend;	pwd; $(MAKE) EXPORT_SRC
-	@cd lib/gss_mechs/mech_krb5;		pwd; $(MAKE) EXPORT_SRC
-	@cd lib/gss_mechs/mech_spnego;		pwd; $(MAKE) EXPORT_SRC
-	@cd lib/libcrypt; pwd; $(MAKE) EXPORT_SRC
-	@cd lib/libgss;   pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/lib/libike;   pwd; $(MAKE) EXPORT_SRC
-	@cd lib/libnsl;	  pwd; $(MAKE) EXPORT_SRC
-	@cd lib/pkcs11/pkcs11_softtoken/common;  pwd; $(MAKE) EXPORT_SRC
-	@cd lib/libsldap; pwd; $(MAKE) EXPORT_SRC
-	@cd lib/libsasl; pwd; $(MAKE) EXPORT_SRC
-	@cd lib/sasl_plugins; pwd; $(MAKE) EXPORT_SRC
-	@cd lib/pam_modules/krb5;   pwd; $(MAKE) EXPORT_SRC
-	@cd psm/stand/boot; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/crypto/io; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/des; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/rpc; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/sys; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/gssapi/include;		pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/gssapi;			pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/gssapi/mechs/dummy;	pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common/gssapi/mechs/krb5;	pwd; $(MAKE) EXPORT_SRC
-	@cd uts/common; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/sparc; pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/uts/sun4u/forthdebug; pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/uts/sun4v/forthdebug; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/intel; pwd; $(MAKE) EXPORT_SRC
-	@cd uts/sun4u; pwd; $(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/uts/sun4v/io/ncp;	pwd;	$(MAKE) EXPORT_SRC
-	@cd $(CLOSED)/uts/sun4v/io/n2cp; pwd;	$(MAKE) EXPORT_SRC
-	@cd pkg; pwd;	$(MAKE) EXPORT_SRC
-	$(RM) -r $(XMOD_DELETE_FILES)
-	$(RM) Targetdirs+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-			< Targetdirs > Targetdirs+
-	$(MV) Targetdirs+ Targetdirs
-	$(CHMOD) 444 Targetdirs
-	$(RM) Makefile+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-			< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-	$(RM) Makefile.master+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-			< Makefile.master > Makefile.master+
-	$(MV) Makefile.master+ Makefile.master
-	$(CHMOD) 444 Makefile.master
-
-CRYPT_SRC:
-	@cd $(CLOSED)/cmd/cmd-crypto/etc;  pwd; $(MAKE) CRYPT_SRC
-	@cd $(CLOSED)/cmd/cmd-inet/usr.lib/in.iked;  pwd; $(MAKE) CRYPT_SRC
-	@cd $(CLOSED)/cmd/cmd-inet/usr.lib/ike-certutils;  pwd; \
-	    $(MAKE) CRYPT_SRC
-	@cd lib/crypt_modules/bsdbf; pwd ; $(MAKE) CRYPT_SRC
-	@cd lib/gss_mechs/mech_dummy;   pwd; $(MAKE) CRYPT_SRC
-	@cd lib/gss_mechs/mech_dh/backend; pwd; $(MAKE) CRYPT_SRC
-	@cd lib/gss_mechs/mech_krb5; pwd; $(MAKE) CRYPT_SRC
-	@cd lib/gss_mechs/mech_spnego; pwd; $(MAKE) CRYPT_SRC
-	@cd $(CLOSED)/lib/libike;   pwd; $(MAKE) CRYPT_SRC
-	@cd lib/libnsl;	 pwd; $(MAKE) CRYPT_SRC
-	@cd lib/libsasl;	 pwd; $(MAKE) CRYPT_SRC
-	@cd lib/sasl_plugins; pwd; $(MAKE) CRYPT_SRC
-	@cd lib/pam_modules/krb5;   pwd; $(MAKE) CRYPT_SRC
-	@cd uts/common/gssapi;    pwd; $(MAKE) CRYPT_SRC
-	@cd uts/common/gssapi/include;    pwd; $(MAKE) CRYPT_SRC
-	@cd uts/common/gssapi/mechs/dummy;        pwd; $(MAKE) CRYPT_SRC
-	@cd uts/common/gssapi/mechs/krb5; pwd; $(MAKE) CRYPT_SRC
-	$(RM) Makefile+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-			< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-	$(RM) Makefile.master+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-			< Makefile.master > Makefile.master+
-	$(MV) Makefile.master+ Makefile.master
-	$(CHMOD) 444 Makefile.master
-
-# EXPORT DELETE END
-
-ONC_PLUS:
-	@cd cmd/login; pwd; $(MAKE) ONC_PLUS
-	@cd uts; pwd; $(MAKE) ONC_PLUS
-
 #
 # Targets for reporting compiler versions; nightly uses these.
 #
--- old/usr/src/Makefile.master	Thu Jul 11 01:28:49 2013
+++ new/usr/src/Makefile.master	Thu Jul 11 01:28:49 2013
@@ -1165,13 +1165,6 @@
 	$(MANIFEST_CHECK)
 
 #
-# Rules to process ONC+ Source partial files
-#
-%_onc_plus:	%
-	@$(ECHO) "extracting code from $< ... "
-	sed -n -e '/ONC_PLUS EXTRACT START/,/ONC_PLUS EXTRACT END/p' $<  > $@
-
-#
 # Include rules to render automated sccs get rules "safe".
 # 
 include $(SRC)/Makefile.noget
--- old/usr/src/Targetdirs	Thu Jul 11 01:28:49 2013
+++ new/usr/src/Targetdirs	Thu Jul 11 01:28:49 2013
@@ -55,11 +55,6 @@
 sparc_DIRS=				\
 	/usr/lib/ldoms
 
-# EXPORT DELETE START
-XDIRS= \
-	/usr/lib/inet/wanboot
-# EXPORT DELETE END
-
 sparc_64ONLY= $(POUND_SIGN)
 64ONLY=  $($(MACH)_64ONLY)
 
@@ -275,7 +270,7 @@
 	/usr/lib/inet/dhcp/svcadm \
 	/usr/lib/inet/ilb \
 	/usr/lib/inet/$(MACH32) \
-	$(XDIRS) \
+	/usr/lib/inet/wanboot \
 	/usr/lib/krb5 \
 	/usr/lib/link_audit \
 	/usr/lib/libp \
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Jul 11 01:28:50 2013
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Jul 11 01:28:50 2013
@@ -26,14 +26,10 @@
 SYNCPROG=	syncinit syncloop syncstat
 DHCPPROG=	dhcpconfig dhtadm pntadm
 
-# EXPORT DELETE START
-XMODPROG=	wanbootutil
-# EXPORT DELETE END
-
 PROG=		6to4relay arp gettable if_mpadm \
 		in.comsat in.fingerd in.rarpd in.rexecd in.rlogind \
 		in.rshd in.rwhod in.telnetd in.tftpd ipaddrsel \
-		ndd $(SYNCPROG) $(DHCPPROG) $(XMODPROG)
+		ndd $(SYNCPROG) $(DHCPPROG) wanbootutil
 
 MANIFEST=	rarp.xml telnet.xml comsat.xml finger.xml \
 		login.xml shell.xml rexec.xml socket-filter-kssl.xml
@@ -272,13 +268,3 @@
 	    -lsocket -lnsl
 	$(LINT.c) in.tftpd.c ../usr.bin/tftp/tftpsubs.c $(LDLIBS) \
 	    -lsocket -lnsl
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# EXPORT DELETE END
--- old/usr/src/cmd/crypt/Makefile	Thu Jul 11 01:28:51 2013
+++ new/usr/src/cmd/crypt/Makefile	Thu Jul 11 01:28:51 2013
@@ -43,17 +43,3 @@
 lint:	lint_PROG
 
 include ../Makefile.targ
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) $(PROG).c+ Makefile+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< $(PROG).c > $(PROG).c+
-	$(MV) $(PROG).c+ $(PROG).c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile $(PROG).c
-
-# EXPORT DELETE END
--- old/usr/src/cmd/crypt/crypt.c	Thu Jul 11 01:28:51 2013
+++ new/usr/src/cmd/crypt/crypt.c	Thu Jul 11 01:28:51 2013
@@ -33,7 +33,6 @@
  *	but considerably trivialized.
  */
 
-/* EXPORT DELETE START */
 #define	ECHO 010
 #include <stdio.h>
 #include <stdlib.h>
@@ -96,12 +95,10 @@
 	for (i = 0; i < ROTORSZ; i++)
 		t2[t1[i]&MASK] = i;
 }
-/* EXPORT DELETE END */
 
 int
 main(int argc, char **argv)
 {
-/* EXPORT DELETE START */
 	extern int optind;
 	char *p1;
 	int i, n1, n2, nchar;
@@ -199,5 +196,4 @@
 		}
 	}
 	return (0);
-/* EXPORT DELETE END */
 }
--- old/usr/src/cmd/gss/gssd/Makefile	Thu Jul 11 01:28:52 2013
+++ new/usr/src/cmd/gss/gssd/Makefile	Thu Jul 11 01:28:52 2013
@@ -148,30 +148,6 @@
 
 include ../../Makefile.targ
 
-# EXPORT DELETE START
-# Special targets to clean up the source tree for export distribution
-# The WS target modifies the SCCS files as well, so a working workspace
-# can be shipped.
-# Warning: These targets change the source tree, the first only at the
-#		plain source level, but the second changes the guts!
-EXPORT_SRC:
-	$(RM) Makefile+ gssd_clnt_stubs.c+ gssd_proc.c+ gssdtest.c+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssd_clnt_stubs.c > gssd_clnt_stubs.c+
-	$(MV) gssd_clnt_stubs.c+ gssd_clnt_stubs.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssd_proc.c > gssd_proc.c+
-	$(MV) gssd_proc.c+ gssd_proc.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssdtest.c > gssdtest.c+
-	$(MV) gssdtest.c+ gssdtest.c
-	$(CHMOD) 444  Makefile gssd_clnt_stubs.c gssd_proc.c gssdtest.c
-
-# EXPORT DELETE END
-
 $(POFILE): $(DERIVED_FILES) .WAIT $(POFILES)
 	$(RM) $@
 	$(CAT) $(POFILES) > $@
--- old/usr/src/cmd/gss/gssd/gssd_clnt_stubs.c	Thu Jul 11 01:28:53 2013
+++ new/usr/src/cmd/gss/gssd/gssd_clnt_stubs.c	Thu Jul 11 01:28:53 2013
@@ -1434,8 +1434,6 @@
 }
 
 
-/* EXPORT DELETE START */
-
 OM_uint32
 kgss_seal_wrapped(
 	minor_status,
@@ -1658,8 +1656,6 @@
 		    conf_state, qop_state));
 }
 
-/* EXPORT DELETE END */
-
 OM_uint32
 kgss_display_status(minor_status,
 		status_value,
--- old/usr/src/cmd/gss/gssd/gssd_proc.c	Thu Jul 11 01:28:53 2013
+++ new/usr/src/cmd/gss/gssd/gssd_proc.c	Thu Jul 11 01:28:53 2013
@@ -1906,8 +1906,6 @@
 	return (TRUE);
 }
 
-/* EXPORT DELETE START */
-
 bool_t
 gss_seal_1_svc(argp, res, rqstp)
 gss_seal_arg *argp;
@@ -2072,8 +2070,6 @@
 	return (TRUE);
 }
 
-/* EXPORT DELETE END */
-
 bool_t
 gss_display_status_1_svc(argp, res, rqstp)
 gss_display_status_arg *argp;
--- old/usr/src/cmd/gss/gssd/gssdtest.c	Thu Jul 11 01:28:54 2013
+++ new/usr/src/cmd/gss/gssd/gssdtest.c	Thu Jul 11 01:28:54 2013
@@ -104,10 +104,8 @@
 static void _gss_delete_sec_context(int, char **);
 static void _gss_context_time(int, char **);
 static void _gss_verify(int, char **);
-/* EXPORT DELETE START */
 static void _gss_seal(int, char **);
 static void _gss_unseal(int, char **);
-/* EXPORT DELETE END */
 static void _gss_display_status(int, char **);
 static void _gss_indicate_mechs(int, char **);
 static void _gss_inquire_cred(int, char **);
@@ -220,7 +218,7 @@
 			_gss_init_sec_context(argc, argv);
 			_gss_accept_sec_context(0, argv);
 			_gss_init_sec_context(argc, argv);
-/* EXPORT DELETE START */
+
 			seal_argc = 2;
 			_gss_seal(seal_argc, seal_ini_array);
 			seal_argc = 1;
@@ -229,7 +227,6 @@
 			_gss_seal(seal_argc, seal_acc_array);
 			seal_argc = 1;
 			_gss_unseal(seal_argc, unseal_ini_array);
-/* EXPORT DELETE END */
 			seal_argc = 2;
 			_gss_sign(seal_argc, seal_ini_array);
 			seal_argc = 1;
@@ -248,7 +245,7 @@
 		_gss_init_sec_context(argc, argv);
 		_gss_accept_sec_context(0, argv);
 		_gss_init_sec_context(argc, argv);
-/* EXPORT DELETE START */
+
 		seal_argc = 2;
 		_gss_seal(seal_argc, seal_acc_array);
 		seal_argc = 1;
@@ -257,7 +254,6 @@
 		_gss_seal(seal_argc, seal_ini_array);
 		seal_argc = 1;
 		_gss_unseal(seal_argc, unseal_acc_array);
-/* EXPORT DELETE END */
 		seal_argc = 2;
 		_gss_sign(seal_argc, seal_ini_array);
 		seal_argc = 1;
@@ -299,7 +295,6 @@
 	else if (strcmp(cmd, "gss_verify") == 0 ||
 		strcmp(cmd, "verify") == 0)
 		_gss_verify(argc, argv);
-/* EXPORT DELETE START */
 	else if (strcmp(cmd, "gss_seal") == 0 ||
 		strcmp(cmd, "seal") == 0)
 		_gss_seal(argc, argv);
@@ -306,7 +301,6 @@
 	else if (strcmp(cmd, "gss_unseal") == 0 ||
 		strcmp(cmd, "unseal") == 0)
 		_gss_unseal(argc, argv);
-/* EXPORT DELETE END */
 	else if (strcmp(cmd, "gss_display_status") == 0||
 		strcmp(cmd, "status") == 0)
 		_gss_display_status(argc, argv);
@@ -1520,7 +1514,6 @@
 	}
 }
 
-/* EXPORT DELETE START */
 static void
 _gss_seal(argc, argv)
 int argc;
@@ -1688,7 +1681,6 @@
 
 	gss_release_buffer(&minor_status, &message_buffer);
 }
-/* EXPORT DELETE END */
 
 static void
 _gss_display_status(argc, argv)
--- old/usr/src/cmd/krb5/kadmin/Makefile	Thu Jul 11 01:28:55 2013
+++ new/usr/src/cmd/krb5/kadmin/Makefile	Thu Jul 11 01:28:55 2013
@@ -25,10 +25,7 @@
 
 include ../../Makefile.cmd
 
-SUBDIRS= cli dbutil ktutil kpasswd server kclient kdcmgr
-# EXPORT DELETE START
-SUBDIRS += gui
-# EXPORT DELETE END
+SUBDIRS= cli dbutil ktutil kpasswd server kclient kdcmgr gui
 
 all :=		TARGET= all
 clean :=	TARGET= clean
@@ -56,13 +53,3 @@
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) -r gui
-	$(RM) Makefile+
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-                < Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# EXPORT DELETE END
--- old/usr/src/cmd/login/Makefile	Thu Jul 11 01:28:56 2013
+++ new/usr/src/cmd/login/Makefile	Thu Jul 11 01:28:56 2013
@@ -26,7 +26,6 @@
 PROG= login
 OBJS= login.o login_audit.o
 SRCS= $(OBJS:%.o=%.c)
-ONC_SRCS=$(SRCS:%.c=%.c_onc_plus)
 
 DEFAULTFILES= login.dfl
 
@@ -39,7 +38,7 @@
 $(ROOTLOGINDEVPERM) := FILEMODE = 644
 FILEMODE= 4555
 
-CLOBBERFILES +=	$(LOGINDEVPERM) $(ONC_SRCS)
+CLOBBERFILES +=	$(LOGINDEVPERM)
 
 CPPFLAGS +=	-DSYSV -DCONSOLE='"/dev/console"' -DSECURITY \
 		-D_FILE_OFFSET_BITS=64 -I$(SRC)/lib/pam_modules/krb5
@@ -68,8 +67,3 @@
 lint:	lint_SRCS
 
 include ../Makefile.targ
-
-# make ONC_PLUS using suffix rule
-#
-
-ONC_PLUS: $(ONC_SRCS)
--- old/usr/src/cmd/login/login.c	Thu Jul 11 01:28:56 2013
+++ new/usr/src/cmd/login/login.c	Thu Jul 11 01:28:56 2013
@@ -24,7 +24,6 @@
  * Use is subject to license terms.
  */
 
-/* ONC_PLUS EXTRACT START */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -41,8 +40,6 @@
 /*	Copyright (c) 1987, 1988 Microsoft Corporation	*/
 /*	  All Rights Reserved	*/
 
-/* ONC_PLUS EXTRACT END */
-
 /*
  * For a complete reference to login(1), see the manual page.  However,
  * login has accreted some intentionally undocumented options, which are
@@ -166,12 +163,10 @@
 #define	PROG_NAME	"login"
 #define	HUSHLOGIN	".hushlogin"
 
-/* ONC_PLUS EXTRACT START */
 /*
  * Array and Buffer sizes
  */
 #define	PBUFSIZE 8	/* max significant characters in a password */
-/* ONC_PLUS EXTRACT END */
 #define	MAXARGS 63	/* change value below if changing this */
 #define	MAXARGSWIDTH 2	/* log10(MAXARGS) */
 #define	MAXENV 1024
@@ -202,9 +197,7 @@
 /*
  * Externs a plenty
  */
-/* ONC_PLUS EXTRACT START */
 extern	int	getsecretkey();
-/* ONC_PLUS EXTRACT START */
 
 /*
  * The current user name
@@ -264,7 +257,6 @@
 static	char	passwdmsg[] = "Password:";
 static	char	incorrectmsg[] = "Login incorrect\n";
 
-/* ONC_PLUS EXTRACT START */
 /*
  * Password file support
  */
@@ -276,7 +268,6 @@
  * Illegal passwd entries.
  */
 static	struct	passwd nouser = { "", "no:password", (uid_t)-1 };
-/* ONC_PLUS EXTRACT END */
 
 /*
  * Log file support
@@ -343,7 +334,6 @@
 static	char	rusername[NMAX+1], lusername[NMAX+1];
 static	char	terminal[MAXPATHLEN];
 
-/* ONC_PLUS EXTRACT START */
 /*
  * Pre-authentication flag support
  */
@@ -356,7 +346,6 @@
 
 static struct pam_conv pam_conv = {login_conv, NULL};
 static pam_handle_t *pamh;	/* Authentication handle */
-/* ONC_PLUS EXTRACT END */
 
 /*
  * Function declarations
@@ -365,10 +354,8 @@
 static	void	defaults(void);
 static	void	usage(void);
 static	void	process_rlogin(void);
-/* ONC_PLUS EXTRACT START */
 static	void	login_authenticate();
 static	void	setup_credentials(void);
-/* ONC_PLUS EXTRACT END */
 static	void	adjust_nice(void);
 static	void	update_utmpx_entry(int);
 static	void	establish_user_environment(char **);
@@ -392,7 +379,6 @@
 static	void	log_bad_attempts(void);
 static	int	is_number(char *);
 
-/* ONC_PLUS EXTRACT START */
 /*
  *			*** main ***
  *
@@ -407,7 +393,6 @@
 int
 main(int argc, char *argv[], char **renvp)
 {
-/* ONC_PLUS EXTRACT END */
 	int sublogin;
 	int pam_rc;
 
@@ -469,7 +454,6 @@
 			ttyn = "/dev/???";
 	}
 
-/* ONC_PLUS EXTRACT START */
 	/*
 	 * Call pam_start to initiate a PAM authentication operation
 	 */
@@ -508,7 +492,6 @@
 		(void) pam_set_item(pamh, PAM_REPOSITORY,
 		    (void *)&pam_rep_data);
 	}
-/* ONC_PLUS EXTRACT END */
 
 	/*
 	 * Open the log file which contains a record of successful and failed
@@ -527,13 +510,11 @@
 	if (rflag)
 		process_rlogin();
 
-/* ONC_PLUS EXTRACT START */
 	/*
 	 * validate user
 	 */
 	/* we are already authenticated. fill in what we must, then continue */
 	if (fflag) {
-/* ONC_PLUS EXTRACT END */
 		if ((pwd = getpwnam(user_name)) == NULL) {
 			audit_error = ADT_FAIL_VALUE_USERNAME;
 
@@ -542,7 +523,6 @@
 			    user_name);
 			login_exit(1);
 		}
-/* ONC_PLUS EXTRACT START */
 	} else {
 		/*
 		 * Perform the primary login authentication activity.
@@ -549,7 +529,6 @@
 		 */
 		login_authenticate();
 	}
-/* ONC_PLUS EXTRACT END */
 
 	/* change root login, then we exec another login and try again */
 	if (process_chroot_logins() != OK)
@@ -602,7 +581,6 @@
 
 	adjust_nice();		/* passwd file can specify nice value */
 
-/* ONC_PLUS EXTRACT START */
 	setup_credentials();	/* Set user credentials  - exits on failure */
 
 	/*
@@ -628,7 +606,6 @@
 
 	(void) pam_end(pamh, PAM_SUCCESS);	/* Done using PAM */
 	pamh = NULL;
-/* ONC_PLUS EXTRACT END */
 
 	if (pwd->pw_uid == 0) {
 		if (dosyslog) {
@@ -682,7 +659,6 @@
 
 
 
-/* ONC_PLUS EXTRACT START */
 /*
  * donothing & catch	- Signal catching functions
  */
@@ -694,7 +670,6 @@
 	if (pamh)
 		(void) pam_end(pamh, PAM_ABORT);
 }
-/* ONC_PLUS EXTRACT END */
 
 #ifdef notdef
 static	int	intrupt;
@@ -815,7 +790,6 @@
 }
 
 
-/* ONC_PLUS EXTRACT START */
 /*
  * login_conv():
  *	This is the conv (conversation) function called from
@@ -981,7 +955,6 @@
 
 	return (error);
 }
-/* ONC_PLUS EXTRACT END */
 
 /*
  * quotec		- Called by getargs
@@ -1788,7 +1761,6 @@
 }
 
 
-/* ONC_PLUS EXTRACT START */
 /*
  * login_authenticate	- Performs the main authentication work
  *			  1. Prints the login prompt
@@ -1967,7 +1939,6 @@
 	 */
 	audit_success(get_audit_id(), pwd, zone_name);
 }
-/* ONC_PLUS EXTRACT END */
 
 static uint_t
 get_audit_id(void)
@@ -2027,7 +1998,6 @@
 	}
 }
 
-/* ONC_PLUS EXTRACT START */
 /*
  * update_utmpx_entry	- Searchs for the correct utmpx entry, making an
  *			  entry there if it finds one, otherwise exits.
@@ -2064,7 +2034,6 @@
 		audit_error = ADT_FAIL_PAM + err;
 		login_exit(1);
 	}
-/* ONC_PLUS EXTRACT END */
 
 	(void) memset((void *)&utmpx, 0, sizeof (utmpx));
 	(void) time(&utmpx.ut_tv.tv_sec);
@@ -2132,7 +2101,6 @@
 		/* the wtmp file exists.				   */
 		updwtmpx(WTMPX_FILE, &utmpx);
 	}
-/* ONC_PLUS EXTRACT START */
 }
 
 
@@ -2166,7 +2134,6 @@
 		 * Set the environment flag <!sublogin> so that the next login
 		 * knows that it is a sublogin.
 		 */
-/* ONC_PLUS EXTRACT END */
 		envinit[0] = SUBLOGIN;
 		envinit[1] = (char *)NULL;
 		(void) printf("Subsystem root: %s\n", pwd->pw_dir);
@@ -2180,7 +2147,6 @@
 		login_exit(1);
 	}
 	return (OK);
-/* ONC_PLUS EXTRACT START */
 }
 
 /*
@@ -2228,7 +2194,6 @@
 		}
 	}
 	(void) memcpy(&envinit[basicenv], newenv, sizeof (newenv));
-/* ONC_PLUS EXTRACT END */
 
 	/* Set up environment */
 	if (rflag) {
--- old/usr/src/cmd/sendmail/src/Makefile	Thu Jul 11 01:28:57 2013
+++ new/usr/src/cmd/sendmail/src/Makefile	Thu Jul 11 01:28:57 2013
@@ -44,19 +44,13 @@
 MAPFILES =	$(MAPFILE.INT) $(MAPFILE.NGB)
 LDFLAGS +=	$(MAPFILES:%=-M%)
 
-# EXPORT DELETE START
-CRYPTOLIBS=	-lssl -lcrypto -lsasl
-# EXPORT DELETE END
 LDLIBS += 	../libsmutil/libsmutil.a ../libsm/libsm.a -lresolv -lsocket \
 		-lnsl ../db/libdb.a -lldap -lsldap -lwrap -lumem \
-		$(CRYPTOLIBS)
+		-lssl -lcrypto -lsasl
 
 INCPATH=	-I. -I../include -I../db
 
-# EXPORT DELETE START
-CRYPTOENVDEF=	-DSTARTTLS -DSASL=20115
-# EXPORT DELETE END
-ENVDEF=		-DNETINET6 -DTCPWRAPPERS $(CRYPTOENVDEF)
+ENVDEF=		-DNETINET6 -DTCPWRAPPERS -DSTARTTLS -DSASL=20115
 SUNENVDEF=	-DSUN_EXTENSIONS -DVENDOR_DEFAULT=VENDOR_SUN \
 		-DSUN_INIT_DOMAIN -DSUN_SIMPLIFIED_LDAP -D_FFR_LOCAL_DAEMON \
 		-D_FFR_MAIL_MACRO
@@ -90,13 +84,4 @@
 
 lint:	lint_SRCS
 
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-	    < Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# EXPORT DELETE END
-
 include		../../Makefile.targ
--- old/usr/src/common/crypto/aes/Makefile	Thu Jul 11 01:28:58 2013
+++ new/usr/src/common/crypto/aes/Makefile	Thu Jul 11 01:28:58 2013
@@ -30,32 +30,3 @@
 .KEEP_STATE:
 
 FRC:
-
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ aes_impl.c+ aes_impl.h+ amd64/aes_amd64.s+ \
-		amd64/aes_intel.s+ sun4u/aes_crypt_asm.s+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< aes_impl.c > aes_impl.c+
-	$(MV) aes_impl.c+ aes_impl.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< aes_impl.h > aes_impl.h+
-	$(MV) aes_impl.h+ aes_impl.h
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< amd64/aes_amd64.s > amd64/aes_amd64.s+
-	$(MV) amd64/aes_amd64.s+ amd64/aes_amd64.s
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< amd64/aes_intel.s > amd64/aes_intel.s+
-	$(MV) amd64/aes_intel.s+ amd64/aes_intel.s
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sun4u/aes_crypt_asm.s > sun4u/aes_crypt_asm.s+
-	$(MV) sun4u/aes_crypt_asm.s+ sun4u/aes_crypt_asm.s
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile aes_impl.c aes_impl.h amd64/aes_amd64.s \
-		amd64/aes_intel.s sun4u/aes_crypt_asm.s
-
-# EXPORT DELETE END
--- old/usr/src/common/crypto/aes/aes_impl.c	Thu Jul 11 01:28:58 2013
+++ new/usr/src/common/crypto/aes/aes_impl.c	Thu Jul 11 01:28:58 2013
@@ -87,8 +87,6 @@
  * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-/* EXPORT DELETE START */
-
 #if defined(sun4u)
 /* External assembly functions: */
 extern void aes_encrypt_impl(const uint32_t rk[], int Nr, const uint32_t pt[4],
@@ -1556,7 +1554,6 @@
 	pt[3] = s3;
 }
 #endif	/* sun4u, __amd64 */
-/* EXPORT DELETE END */
 
 
 /*
@@ -1571,7 +1568,6 @@
 void
 aes_init_keysched(const uint8_t *cipherKey, uint_t keyBits, void *keysched)
 {
-/* EXPORT DELETE START */
 	aes_key_t	*newbie = keysched;
 	uint_t		keysize, i, j;
 	union {
@@ -1624,7 +1620,6 @@
 #endif
 
 	aes_setupkeys(newbie, keyarr.ka32, keyBits);
-/* EXPORT DELETE END */
 }
 
 
@@ -1640,7 +1635,6 @@
 int
 aes_encrypt_block(const void *ks, const uint8_t *pt, uint8_t *ct)
 {
-/* EXPORT DELETE START */
 	aes_key_t	*ksch = (aes_key_t *)ks;
 
 #ifndef	AES_BYTE_SWAP
@@ -1678,7 +1672,6 @@
 		*(uint32_t *)(void *)&ct[8] = htonl(buffer[2]);
 		*(uint32_t *)(void *)&ct[12] = htonl(buffer[3]);
 #endif
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1695,7 +1688,6 @@
 int
 aes_decrypt_block(const void *ks, const uint8_t *ct, uint8_t *pt)
 {
-/* EXPORT DELETE START */
 	aes_key_t	*ksch = (aes_key_t *)ks;
 
 #ifndef	AES_BYTE_SWAP
@@ -1734,7 +1726,6 @@
 	*(uint32_t *)(void *)&pt[12] = htonl(buffer[3]);
 #endif
 
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1753,7 +1744,6 @@
 void *
 aes_alloc_keysched(size_t *size, int kmflag)
 {
-/* EXPORT DELETE START */
 	aes_key_t *keysched;
 
 #ifdef	_KERNEL
@@ -1766,7 +1756,6 @@
 		*size = sizeof (aes_key_t);
 		return (keysched);
 	}
-/* EXPORT DELETE END */
 	return (NULL);
 }
 
--- old/usr/src/common/crypto/aes/amd64/aes_amd64.s	Thu Jul 11 01:28:59 2013
+++ new/usr/src/common/crypto/aes/amd64/aes_amd64.s	Thu Jul 11 01:28:59 2013
@@ -156,8 +156,8 @@
  * sub	rax,[ebx+ecx*4-20h]	sub	-0x20(%ebx,%ecx,4),%rax
  *
  * 5. Added OpenSolaris ENTRY_NP/SET_SIZE macros from
- * /usr/include/sys/asm_linkage.h, lint(1B) guards, EXPORT DELETE START
- * and EXPORT DELETE END markers, and dummy C function definitions for lint.
+ * /usr/include/sys/asm_linkage.h, lint(1B) guards, and dummy C function
+ * definitions for lint.
  *
  * 6. Renamed functions and reordered parameters to match OpenSolaris:
  * Original Gladman interface:
@@ -327,7 +327,6 @@
 #define	tab_f(x)	1(tptr,x,8)
 #define	tab_i(x)	7(tptr,x,8)
 
-	/* EXPORT DELETE START */
 #define	ff_rnd(p1, p2, p3, p4, round)	/* normal forward round */ \
 	mov	fk_ref(round,0), p1; \
 	mov	fk_ref(round,1), p2; \
@@ -683,7 +682,6 @@
 	xor	%edi, p3
 
 #endif	/* LAST_ROUND_TABLES */
-	/* EXPORT DELETE END */
 
 /*
  * OpenSolaris OS:
@@ -704,7 +702,6 @@
 
 
 	ENTRY_NP(aes_encrypt_amd64)
-	/* EXPORT DELETE START */
 #ifdef	GLADMAN_INTERFACE
 	/ Original interface
 	sub	$[4*8], %rsp	/ gnu/linux/opensolaris binary interface
@@ -786,7 +783,6 @@
 	mov	2*8(%rsp), %rbp
 	mov	3*8(%rsp), %r12
 	add	$[4*8], %rsp
-	/* EXPORT DELETE END */
 	ret
 
 	SET_SIZE(aes_encrypt_amd64)
@@ -810,7 +806,6 @@
 
 
 	ENTRY_NP(aes_decrypt_amd64)
-	/* EXPORT DELETE START */
 #ifdef	GLADMAN_INTERFACE
 	/ Original interface
 	sub	$[4*8], %rsp	/ gnu/linux/opensolaris binary interface
@@ -898,7 +893,6 @@
 	mov	2*8(%rsp), %rbp
 	mov	3*8(%rsp), %r12
 	add	$[4*8], %rsp
-	/* EXPORT DELETE END */
 	ret
 
 	SET_SIZE(aes_decrypt_amd64)
--- old/usr/src/common/crypto/aes/amd64/aes_intel.s	Thu Jul 11 01:29:00 2013
+++ new/usr/src/common/crypto/aes/amd64/aes_intel.s	Thu Jul 11 01:29:00 2013
@@ -83,8 +83,8 @@
  * This OpenSolaris version has these major changes from the original source:
  *
  * 1. Added OpenSolaris ENTRY_NP/SET_SIZE macros from
- * /usr/include/sys/asm_linkage.h, lint(1B) guards, EXPORT DELETE START
- * and EXPORT DELETE END markers, and dummy C function definitions for lint.
+ * /usr/include/sys/asm_linkage.h, lint(1B) guards, and dummy C function
+ * definitions for lint.
  *
  * 2. Formatted code, added comments, and added #includes and #defines.
  *
@@ -305,7 +305,6 @@
  * (%rcx)	AES key
  */
 
-	/* EXPORT DELETE START */
 .align	16
 _key_expansion_128:
 _key_expansion_256a:
@@ -378,7 +377,6 @@
 	add	$0x10, %rcx
 	ret
 	SET_SIZE(_key_expansion_256b)
-	/* EXPORT DELETE END */
 
 
 /*
@@ -424,7 +422,6 @@
 
 
 ENTRY_NP(rijndael_key_setup_enc_intel)
-	/* EXPORT DELETE START */
 	CLEAR_TS_OR_PUSH_XMM0_TO_XMM6(%r10)
 
 	/ NULL pointer sanity check
@@ -580,7 +577,6 @@
 	xor	%rax, %rax	/ a key pointer is NULL or invalid keysize
 #endif	/* OPENSSL_INTERFACE */
 
-	/* EXPORT DELETE END */
 	ret
 	SET_SIZE(rijndael_key_setup_enc_intel)
 
@@ -607,7 +603,6 @@
  * Return value is non-zero on error, 0 on success.
  */
 ENTRY_NP(rijndael_key_setup_dec_intel)
-	/* EXPORT DELETE START */
 	/ Generate round keys used for encryption
 	call	rijndael_key_setup_enc_intel
 	test	%rax, %rax
@@ -660,7 +655,6 @@
 .Ldec_key_exit:
 	/ OpenSolaris: rax = # rounds (10, 12, or 14) or 0 for error
 	/ OpenSSL: rax = 0 for OK, or non-zero for error
-	/* EXPORT DELETE END */
 	ret
 	SET_SIZE(rijndael_key_setup_dec_intel)
 
@@ -711,7 +705,6 @@
 #define	KEY		xmm1	/* temporary, 128 bits */
 
 ENTRY_NP(aes_encrypt_intel)
-	/* EXPORT DELETE START */
 	CLEAR_TS_OR_PUSH_XMM0_XMM1(%r10)
 
 	movups	(%INP), %STATE			/ input
@@ -770,7 +763,6 @@
 	movups	%STATE, (%OUTP)			/ output
 
 	SET_TS_OR_POP_XMM0_XMM1(%r10)
-	/* EXPORT DELETE END */
 	ret
 	SET_SIZE(aes_encrypt_intel)
 
@@ -798,7 +790,6 @@
  *	const AES_KEY *key);
  */
 ENTRY_NP(aes_decrypt_intel)
-	/* EXPORT DELETE START */
 	CLEAR_TS_OR_PUSH_XMM0_XMM1(%r10)
 
 	movups	(%INP), %STATE			/ input
@@ -858,7 +849,6 @@
 
 	SET_TS_OR_POP_XMM0_XMM1(%r10)
 	ret
-	/* EXPORT DELETE END */
 	SET_SIZE(aes_decrypt_intel)
 
 #endif	/* lint || __lint */
--- old/usr/src/common/crypto/aes/sun4u/aes_crypt_asm.s	Thu Jul 11 01:29:00 2013
+++ new/usr/src/common/crypto/aes/sun4u/aes_crypt_asm.s	Thu Jul 11 01:29:00 2013
@@ -78,8 +78,6 @@
 	.section	".text",#alloc
 	.align	8192
 
-/* EXPORT DELETE START */
-
 !
 ! CONSTANT POOL
 !
@@ -5867,8 +5865,6 @@
 	.type	rcon,#object
 	.size	rcon,40
 
-/* EXPORT DELETE END */
-
 ! Begin Disassembling Stabs
 	.xstabs	".stab.index","Xa ; O ; P ; V=3.1 ; R=WorkShop Compilers 5.0 99/02/25 C 5.0 patch 107289-01",60,0,0,0	! (/tmp/acompAAA5jaWsZ:1)
 ! End Disassembling Stabs
--- old/usr/src/common/crypto/arcfour/Makefile	Thu Jul 11 01:29:01 2013
+++ new/usr/src/common/crypto/arcfour/Makefile	Thu Jul 11 01:29:01 2013
@@ -30,28 +30,3 @@
 .KEEP_STATE:
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ arcfour_crypt.c+ amd64/arcfour-x86_64.pl+ \
-		sun4u/arcfour_crypt_asm.s+ sun4v/arcfour_crypt.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< arcfour_crypt.c > arcfour_crypt.c+
-	$(MV) arcfour_crypt.c+ arcfour_crypt.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< amd64/arcfour-x86_64.pl > amd64/arcfour-x86_64.pl+
-	$(MV) amd64/arcfour-x86_64.pl+ amd64/arcfour-x86_64.pl
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sun4u/arcfour_crypt_asm.s > sun4u/arcfour_crypt_asm.s+
-	$(MV) sun4u/arcfour_crypt_asm.s+ sun4u/arcfour_crypt_asm.s
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sun4v/arcfour_crypt.c > sun4v/arcfour_crypt.c+
-	$(MV) sun4v/arcfour_crypt.c+ sun4v/arcfour_crypt.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile arcfour_crypt.c amd64/arcfour-x86_64.pl \
-		sun4u/arcfour_crypt_asm.s sun4v/arcfour_crypt.c
-
-# EXPORT DELETE END
--- old/usr/src/common/crypto/arcfour/amd64/arcfour-x86_64.pl	Thu Jul 11 01:29:02 2013
+++ new/usr/src/common/crypto/arcfour/amd64/arcfour-x86_64.pl	Thu Jul 11 01:29:02 2013
@@ -151,8 +151,6 @@
 #include <sys/asm_linkage.h>
 
 ENTRY_NP(arcfour_crypt_asm)
-	/* EXPORT DELETE START */
-
 	or	$len,$len # If (len == 0) return
 	jne	.Lentry
 	ret
@@ -243,7 +241,6 @@
 	jnz	.Lloop1
 	jmp	.Lexit
 
-	/* EXPORT DELETE END */
 	ret
 SET_SIZE(arcfour_crypt_asm)
 ___
@@ -274,8 +271,6 @@
 .extern	arcfour_crypt_on_intel
 
 ENTRY_NP(arcfour_key_init)
-	/* EXPORT DELETE START */
-
 	/ Find out if we're running on Intel or something else (e.g., AMD64).
 	/ This sets %eax to 1 for Intel, otherwise 0.
 	push	%rdi		/ Save arg1
@@ -330,7 +325,6 @@
 	mov	%eax,-8($dat)
 	mov	%eax,-4($dat)
 
-	/* EXPORT DELETE END */
 	ret
 SET_SIZE(arcfour_key_init)
 .asciz	"RC4 for x86_64, CRYPTOGAMS by <appro\@openssl.org>"
